<?php
/***************************************************************************
 *                             album_redirect_upload.php
 *                            ---------------------------
 *
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
$album_root_path = $phpbb_root_path . 'album_mod/';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);
include($phpbb_root_path . 'includes/functions_validate.'.$phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_ALBUM);
init_userprefs($userdata);
//
// End session management
//

//
// Get general album information
//
include($album_root_path . 'album_common.'.$phpEx);

//--- Album Category Hierarchy : begin
//--- version : 1.1.0
if( isset($HTTP_POST_VARS['user_id']) )
{
	$album_user_id = intval($HTTP_POST_VARS['user_id']);
}
else if( isset($HTTP_GET_VARS['user_id']) )
{
	$album_user_id = intval($HTTP_GET_VARS['user_id']);
}
else
{
	// it's a public category we are uploading too
	$album_user_id = ALBUM_PUBLIC_GALLERY;
}
//--- Album Category Hierarchy : end

if( isset($HTTP_POST_VARS['cat_id']) )
{
	$cat_id = intval($HTTP_POST_VARS['cat_id']);
}
else if( isset($HTTP_GET_VARS['cat_id']) )
{
	$cat_id = intval($HTTP_GET_VARS['cat_id']);
}
else
{
	message_die(GENERAL_ERROR, 'No categories specified');
}
	//
	// Start output of page
	//
	$page_title = 'Upload-Redirect';
	include($phpbb_root_path . 'includes/page_header.'.$phpEx);
	$template->set_filenames(array(
		'body' => 'album_upload_redirect_body.tpl')
	);

	$template->assign_vars(array(
		'L_UPLOAD_TOP' => $lang['Upload_Top'],
		'L_COP_DESC' => $lang['Cop_Desc'],
		'L_COPYRIGHT' => $lang['Copyright'],
    'L_REDIRECT' => $lang['Redirect'],
    'L_CANCEL' => $lang['Cancel'],
    'U_ALBUM_CANCEL' => append_sid("album.$phpEx"),
		'U_ALBUM_UPLOAD' => append_sid(album_append_uid("album_upload.$phpEx?cat_id=$cat_id")),
		)
	);

	$template->pparse('body');
include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
?>
